`timescale 1ns / 1ps

//******************************************************************************
//* Digitlis technika (VIMIAA02) - 4. labor                                   *
//*                                                                            *
//* Tesztkrnyezet az 1.a feladathoz.                                          *
//******************************************************************************
module register_test;

	// Inputs
	reg clk;
	reg d;

	// Outputs
	wire q;

	// Instantiate the Unit Under Test (UUT)
	register uut (
		.clk(clk), 
		.d(d), 
		.q(q)
	);

	initial begin
		// Initialize Inputs
		clk = 0;
		d = 0;

		// Wait 100 ns for global reset to finish
		#100;
        
		//lltsuk el az 1.a feladathoz tartoz iddiagramnak megfelelen
      //a flip-flop d bemenetnek rtkt (1 oszts legyen 100 ns).
      #100;
      d = 1'b1;
      #300;
      d = 1'b0;
      #200;
      d = 1'b1;
      #100;
      d = 1'b0;
      #300;
      d = 1'b1;
	end
   
   //lltsunk el egy 600 ns peridusidej rajelet.
   //Milyen Verilog nyelvi elemet hasznljunk ehhez?
   //Milyen blokk tartalma rtkeldik ki folyamatosan?
   always
   begin
      //Vrakozunk fl peridust.
      #300;
      //Invertljuk az rajel llapott.
      clk <= ~clk;
   end
      
endmodule

